## ros-humble-grid-map-cv 2.0.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(grid_map_cv)

## Find ament packages
find_package(ament_cmake REQUIRED)
find_package(cv_bridge REQUIRED)
find_package(filters REQUIRED)
find_package(grid_map_cmake_helpers REQUIRED)
find_package(grid_map_core REQUIRED)
find_package(pluginlib REQUIRED)
find_package(rclcpp REQUIRED)
find_package(sensor_msgs REQUIRED)

find_package(OpenCV REQUIRED
  COMPONENTS
    opencv_photo
)

grid_map_package()

## Specify additional locations of header files
include_directories(
  include
)

set(dependencies
  cv_bridge
  filters
  grid_map_core
  OpenCV
  pluginlib
  rclcpp
  sensor_msgs
)

###########
## Build ##
###########

## Declare a cpp library
add_library(${PROJECT_NAME} SHARED
  src/GridMapCvProcessing.cpp
  src/InpaintFilter.cpp
)

ament_target_dependencies(${PROJECT_NAME} SYSTEM
  ${dependencies}
)

#############
## Install ##
#############

# Mark executables and/or libraries for installation
install(
  TARGETS ${PROJECT_NAME}
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION bin
)

# Mark cpp header files for installation
install(
  DIRECTORY include/${PROJECT_NAME}/
  DESTINATION include/${PROJECT_NAME}
  FILES_MATCHING PATTERN "*.hpp"
)

# Mark other files for installation.
install(
  FILES filter_plugins.xml
  DESTINATION share/${PROJECT_NAME}
)

#############
## Testing ##
#############

if(BUILD_TESTING)
  # Linting is setup this way to add a filter
  # to ament_cpplint to ignore the lack of
  # copyright messages at the top of files.
  # Copyright messages are being checked for by both
  # ament_cmake_cpplint & ament_cmake_copyright.

  find_package(ament_lint_auto REQUIRED)
  find_package(ament_lint_auto QUIET)
  if(ament_lint_auto_FOUND)
    # exclude copyright checks
    list(APPEND AMENT_LINT_AUTO_EXCLUDE
      ament_cmake_cpplint
      ament_cmake_copyright
    )
    ament_lint_auto_find_test_dependencies()

    # run cpplint without copyright filter
    find_package(ament_cmake_cpplint)
    ament_cpplint(
      FILTERS -legal/copyright -build/include_order
    )
  endif()
  ament_lint_auto_find_test_dependencies()

  find_package(ament_cmake_gtest REQUIRED)

  ## Add gtest based cpp test target and link libraries
  ament_add_gtest(${PROJECT_NAME}-test
    test/test_grid_map_cv.cpp
    test/GridMapCvTest.cpp
    test/GridMapCvProcessingTest.cpp
  )
endif()

if(TARGET ${PROJECT_NAME}-test)
  target_link_libraries(${PROJECT_NAME}-test ${PROJECT_NAME})
endif()

ament_export_include_directories(include)
ament_export_libraries(${PROJECT_NAME})
ament_export_dependencies(${dependencies})
pluginlib_export_plugin_description_file(filters filter_plugins.xml)
ament_package()

=== debian/changelog ===
ros-humble-grid-map-cv (2.0.0-3bookworm) bookworm; urgency=high

  * fix: mark Eigen library as SYSTEM
  * fix: build error on jammy
  * Initial ROS2 port
  * Contributors: Maximilian Wulf, Steve Macenski

 -- Maximilian Wulf <mwulf@anybotics.com>  Mon, 12 Sep 2022 16:00:00 -0000

ros-humble-grid-map-cv (1.6.2-3bookworm) bookworm; urgency=high



 -- Maximilian Wulf <mwulf@anybotics.com>  Sun, 13 Oct 2019 16:00:00 -0000

ros-humble-grid-map-cv (1.6.1-3bookworm) bookworm; urgency=high

  * Updated host changes.
  * Updated author e-mail address.
  * Contributors: Peter Fankhauser, Péter Fankhauser

 -- Maximilian Wulf <mwulf@anybotics.com>  Tue, 26 Feb 2019 16:00:00 -0000

ros-humble-grid-map-cv (1.6.0-3bookworm) bookworm; urgency=high

  * Fixed compatibility issue with OpenCV 3 (#140 <https://github.com/anybotics/grid_map/issues/140>).
  * Makes the OpenCV include a bit more specific and adds in a dependency into the catkin_package call.
  * Moved inpaint filter to grid_map_cv, extended filter demo, cleanups.
  * Fixed problem where clamp changes were disregarded (#115 <https://github.com/anybotics/grid_map/issues/115> from Le-Fix/fix/toImageClamp).
  * Contributors: Péter Fankhauser, Perry Franklin, Le-Fix

 -- Maximilian Wulf <mwulf@anybotics.com>  Thu, 23 Nov 2017 16:00:00 -0000

ros-humble-grid-map-cv (1.5.2-3bookworm) bookworm; urgency=high



 -- Maximilian Wulf <mwulf@anybotics.com>  Mon, 24 Jul 2017 16:00:00 -0000

ros-humble-grid-map-cv (1.5.1-3bookworm) bookworm; urgency=high



 -- Maximilian Wulf <mwulf@anybotics.com>  Mon, 24 Jul 2017 16:00:00 -0000

ros-humble-grid-map-cv (1.5.0-3bookworm) bookworm; urgency=high

  * Fixed bug for change resolution function in OpenCV processing class (including unit tests). (#91 <https://github.com/anybotics/grid_map/issues/91>).
  * Extend grid_map_cv unit test for transparent pixels/nan-values.
  * Remove constructor and destructor declaration in GridMapCvConverter.
  * Contributors: Peter Fankhauser, Marco Camurri, Sascha

 -- Maximilian Wulf <mwulf@anybotics.com>  Mon, 17 Jul 2017 16:00:00 -0000

ros-humble-grid-map-cv (1.4.2-3bookworm) bookworm; urgency=high

  * Fixed conversion to/from images in float&double format.
  * Contributors: Peter Fankhauser

 -- Maximilian Wulf <mwulf@anybotics.com>  Mon, 23 Jan 2017 16:00:00 -0000

ros-humble-grid-map-cv (1.4.1-3bookworm) bookworm; urgency=high

  * Improved transformation of images to color grid map layers.
  * Contributors: Peter Fankhauser

 -- Maximilian Wulf <mwulf@anybotics.com>  Sat, 22 Oct 2016 16:00:00 -0000

ros-humble-grid-map-cv (1.4.0-3bookworm) bookworm; urgency=high



 -- Maximilian Wulf <mwulf@anybotics.com>  Sun, 21 Aug 2016 16:00:00 -0000

ros-humble-grid-map-cv (1.3.3-3bookworm) bookworm; urgency=high

  * Release for ROS Kinetic.
  * Contributors: Peter Fankhauser

 -- Maximilian Wulf <mwulf@anybotics.com>  Mon, 09 May 2016 16:00:00 -0000

ros-humble-grid-map-cv (1.3.2-3bookworm) bookworm; urgency=high

  * Updated dependency to OpenCV for compatibility with ROS Kinetic and OpenCV 2/3.
  * Contributors: Peter Fankhauser

 -- Maximilian Wulf <mwulf@anybotics.com>  Mon, 09 May 2016 16:00:00 -0000

ros-humble-grid-map-cv (1.3.1-3bookworm) bookworm; urgency=high



 -- Maximilian Wulf <mwulf@anybotics.com>  Mon, 09 May 2016 16:00:00 -0000

ros-humble-grid-map-cv (1.3.0-3bookworm) bookworm; urgency=high

  * Separated OpenCV to grid map conversions to grid_map_cv package. The new methods
    are more generalized, faster, and can be used without ROS message types.
  * Added new convenience function to change the resolution of grid maps with help of the OpenCV interpolation methods.
  * Added initializeFromImage() to GridMapCvConverter.
  * Added unit tests for grid_map_cv. Updated documentation.
  * Resolving build errors for OpenCV.
  * Fixed typo and added documentation.
  * Contributors: Peter Fankhauser, Dominic Jud,

 -- Maximilian Wulf <mwulf@anybotics.com>  Mon, 25 Apr 2016 16:00:00 -0000

=== debian/control ===
Source: ros-humble-grid-map-cv
Section: misc
Priority: optional
Maintainer: Maximilian Wulf <mwulf@anybotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake, ros-humble-ament-cmake-gtest <!nocheck>, ros-humble-ament-lint-auto <!nocheck>, ros-humble-ament-lint-common <!nocheck>, ros-humble-cv-bridge, ros-humble-filters, ros-humble-grid-map-cmake-helpers, ros-humble-grid-map-core, ros-humble-pluginlib, ros-humble-rclcpp, ros-humble-sensor-msgs, ros-humble-ros-workspace
Homepage: http://github.com/anybotics/grid_map
Standards-Version: 3.9.2

Package: ros-humble-grid-map-cv
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-cv-bridge, ros-humble-filters, ros-humble-grid-map-core, ros-humble-pluginlib, ros-humble-rclcpp, ros-humble-sensor-msgs, ros-humble-ros-workspace
Description: Conversions between grid maps and OpenCV images.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DAMENT_PREFIX_PATH="/opt/ros/humble" \
		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-grid-map-cv//opt/ros/humble/lib/:$(CURDIR)/debian/ros-humble-grid-map-cv//opt/ros/humble/opt/grid_map_cv/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install
